Subject: 24.3.92; pos-visible-in-window-p with PARTIALLY is wrong for a large image in a wrapped line
From: YAMAMOTO Mitsuharu <[email-masked]>
To: [email-masked]
Date: Sat, 05 Jul 2014 18:07:09 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

This is different from Bug#17942, which has just been fixed.

Steps to reproduce:

1. $ emacs -Q -D &
2. Type the following expression and hit C-j in the *scratch* buffer.

  (save-excursion
    (goto-char (point-min))
    (insert-image (create-image "splash.png")))

3. M-:
   (progn
     (set-frame-width nil 20)
     (set-frame-height nil 10)
     (set-window-start nil (point-min))
     (pos-visible-in-window-p (point-min) nil t))
   RET

Result:

Returns (0 94 0 68 0 1) for me, whereas I expect 0 instead of 94 for
the Y-coordinate value.  If I add (insert ?\n) after (insert-image
...) to avoid line wrapping, then the result becomes (160 0 0 68 120
0) where the Y-coordinate value is 0 as expected.

				     YAMAMOTO Mitsuharu
				[email-masked]

In GNU Emacs 24.3.92.1 (x86_64-apple-darwin13.2.0, GTK+ Version 3.12.2)
 of 2014-07-05 on YAMAMOTO-no-iMac.local
Repository revision: 117353 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11406000
Configured using:
 `configure --without-imagemagick LDFLAGS=-L/opt/local/lib
 CPPFLAGS=-I/opt/local/include'